Robotsystem from Robot Group Leipzig: OdeAgent Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# OdeAgent Class Reference

`#include <odeagent.h>`

Inheritance diagram for OdeAgent:

[legend]
Collaboration diagram for OdeAgent:

[legend]
List of all members.

## Detailed Description

Specialised agent for ode robots.

Examples:

  main.cpp.

Definition at line 53 of file odeagent.h.

## Public Member Functions
| OdeAgent (const PlotOption &plotOption)
| constructor
| OdeAgent (const list< PlotOption > &plotOptions)
virtual | ~OdeAgent ()
| destructor
virtual bool | init (AbstractController *controller, OdeRobot *robot, AbstractWiring *wiring)
| initializes the object with the given controller, robot and wiring and initializes pipe to guilogger
virtual void | step (double noise)
| Performs an step of the agent, including sensor reading, pushing sensor values through wiring, controller step, pushing controller outputs (= motorcommands) back through wiring and sent resulting motorcommands to robot.
void | internInit ()
virtual OdeRobot * | getRobot ()
| Returns a pointer to the robot.
virtual int | getTraceLength ()
| gives the number of past robot positions shown as trace in osg
virtual void | init_tracing (int tracelength=1000, double tracethickness=0.003)
| initialize tracing in ode

## Constructor & Destructor Documentation

OdeAgent | ( | const PlotOption & | plotOption | ) | `[inline]`

| constructor Definition at line 57 of file odeagent.h.

OdeAgent | ( | const list< PlotOption > & | plotOptions | ) | `[inline]`

| Definition at line 58 of file odeagent.h.

virtual ~OdeAgent | ( |  | ) | `[inline, virtual]`

| destructor Definition at line 61 of file odeagent.h.

## Member Function Documentation

virtual OdeRobot* getRobot | ( |  | ) | `[inline, virtual]`

| Returns a pointer to the robot. Reimplemented from Agent. Definition at line 85 of file odeagent.h.

virtual int getTraceLength | ( |  | ) | `[inline, virtual]`

| gives the number of past robot positions shown as trace in osg Definition at line 88 of file odeagent.h.

virtual bool init | ( | AbstractController * | controller,
|  | OdeRobot * | robot,
|  | AbstractWiring * | wiring
| ) | `[inline, virtual]`

| initializes the object with the given controller, robot and wiring and initializes pipe to guilogger Examples: main.cpp. Definition at line 66 of file odeagent.h.

void init_tracing | ( | int | tracelength = `1000`,
|  | double | tracethickness = `0.003`
| ) | `[virtual]`

  | initialize tracing in ode Parameters:
  | tracelength | number of past positions shown as trace in osg
  | tracethickness | thickness of the trace
Definition at line 44 of file odeagent.cpp.

void internInit | ( |  | ) | `[inline]`

| Reimplemented from Agent. Definition at line 77 of file odeagent.h.

void step | ( | double | noise | ) | `[virtual]`

  | Performs an step of the agent, including sensor reading, pushing sensor values through wiring, controller step, pushing controller outputs (= motorcommands) back through wiring and sent resulting motorcommands to robot. Parameters:
  | noise | Noise strength.
Reimplemented from Agent. Definition at line 63 of file odeagent.cpp.